Installer should gracefully reject installation on pre-8.5 systems

VERIFIED FIXED in M16

Status

P1
major
VERIFIED FIXED
19 years ago
14 years ago

People

(Reporter: elig, Assigned: samir_bugzilla)

Tracking

Trunk
PowerPC
Mac System 8.5

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: [May-04-2000] Tracking down a pre-Mac OS 8 system to test with)

(Reporter)

Description

19 years ago
Boatloads of Mac users haven't upgraded past 8.1 and don't anticipate doing so.

In these cases, we should provide a sensical error. How about:

"Because Netscape pointy-heads are insensitive to your needs as a pre-Mac OS 8.5 
user, this application requires Mac OS 8.5 or later. We suggest purchasing a 
brand new Macintosh, or downloading Internet Explorer, which functions 
beautifully on your Mac OS 7.6.1 computer." (1)

Alternatively, should the above text encounter management resistance, I'd suggest 
shortening it to: "This application requires Mac OS 8.5 or later."

(1) To be sure, the bug reporter is being bitter and sarcastic, and is not 
actually suggesting this error text.

> 
>    Submitter name:                Dieter Naf
>    Submitter email address:       dnaf@informatics.jax.org
>    Acknowledgement checkbox:      on
>    Product:                       Navigator
>    Version:                       4.72
>    Operating system:              Mac OS
>    OS version:                    MacOS 8.1
>    Browser_type:                  Macintosh PPC
>    Issue summary:                 Netscape 6 Installer doesn't work
> 
> Issue details:
> I downloaded Netscape 6 Installer from your web
> site. It expanded all right. Double-clicking the
> Installer Icon results in error message:
> <<Netscape 6 Installer could not be opened because
> "NavigationLib" could not be found>>.
> 
> Congratulations! Great way to sell a new product!
> 
> 
>    Severity:                      Something didn't work right
>    Can reproduce?:                Yes, Always
> 
> Additional computer info:
> 
> 
> 
> 
> This form was submitted from
> http://help.netscape.com/forms/bug-client.html?cp=helexpfdb
> with Mozilla/4.7 (Macintosh; U; PPC).
> 
> 
>    Submitter name:                Jim catel
>    Submitter email address:       jim@enkubator.com
>    Acknowledgement checkbox:      on
>    Product:                       Communicator
>    Version:                       other
>    Operating system:              Mac OS
>    OS version:                    8.1
>    Browser_type:                  Macintosh PPC
>    Issue summary:                 Mac Navigator 6 install will not run
> 
> Issue details:
> After downloading the installer and running through
> Stuffit Expander and then opening the Netscape 6
> Installer I get the following message:The
> application "Netsacpe 6 Installer" could not be
> opened because "IconServicesLib--ReleaseIconRef"
> could not be found
> 
> 
>    Severity:                      Something didn't work right
>    Can reproduce?:                Yes, Always
> 
> Additional computer info:
> 
> 
> 
> 
> This form was submitted from
> http://help.netscape.com/forms/bug-client.html?cp=helexpfdb
> with Mozilla/4.72 (Macintosh; I; PPC).
> 
> 
>    Submitter name:                Jamie Worling
>    Submitter email address:       jamie.worling@sympatico.ca
>    Acknowledgement checkbox:      on
>    Product:                       Communicator
>    Version:                       other
>    Operating system:              Mac OS
>    OS version:                    8.1
>    Browser_type:                  Macintosh PPC
>    Issue summary:                 Netscape 6 Preview Release 1 - Mac
> installation fails
> 
> Issue details:
> After downloading the Macintosh English version of
> Netscape 6 Preview Release 1 it was unable to
> complete the installation. The following is a list
> of steps followed:
> 
> - Dowloaded English Macintosh Netscape 6 Preview
> Release 1 [download and file expansion successful]
> 
> - From the "Netscape6Installer" folder, launched
> the "Netscape 6 Installer"
> 
> - Error message received:
> "The application 'Netscape 6 Installer' could not
> be opened because 'NavigationLib' could not be
> found"
> 
> - Clicking on "OK" exits the installation.
> 
> 
>    Severity:                      Something didn't work right
>    Can reproduce?:                Yes, Always
> 
> Additional computer info:
> 
> 
> 
> 
> This form was submitted from
> http://help.netscape.com/forms/bug-client.html?cp=helexpfdb
> with Mozilla/4.7 (Macintosh; U; PPC).
> 
> 
>    Submitter name:                J. Michael Washé
>    Submitter email address:       mike@dnamic.com
>    Acknowledgement checkbox:      on
>    Product:                       Communicator
>    Version:                       other
>    Operating system:              Mac OS
>    OS version:                    OS8.1
>    Browser_type:                  Macintosh PPC
>    Issue summary:                 Netscape 6 installer does not work
> 
> Issue details:
> error mesage: The application Netscape 6 Instaler
> could not be opened because "NavigationLib" could
> not be found.
> 
> I can't wait to try it out...
> 
> 
>    Severity:                      Other
>    Can reproduce?:                Yes, Always
> 
> Additional computer info:
> Power Computing - power tower pro 225 Mac OS8.1
> 
> 
> 
> This form was submitted from
> http://help.netscape.com/forms/bug-client.html
> with Mozilla/4.7 (Macintosh; I; PPC).
> 
> 
>
(Reporter)

Comment 1

19 years ago
QA Assigning to self, as I have a Mac OS 8.1 system to test this on at home. 
(Will also check on 7.6.1 in the lab.)
QA Contact: gbush → elig
(Reporter)

Comment 2

19 years ago
Given that this is the #1 complaint from Mac users, I nominate this for beta2.
Keywords: beta2
(Assignee)

Updated

19 years ago
Status: NEW → ASSIGNED
Priority: P3 → P1
Target Milestone: --- → M16
(Assignee)

Comment 3

19 years ago
Fix checked in.
Status: ASSIGNED → RESOLVED
Last Resolved: 19 years ago
Resolution: --- → FIXED
(Reporter)

Comment 4

19 years ago
[Note to self: be sure to check this on a Mac OS 7.6 system, specifically lacking 
the Contextual Menu Extension.]

Updated

19 years ago
Keywords: nsbeta2
(Reporter)

Comment 5

19 years ago
Using the 4.20.00 build on Mac OS 8.1, I still see an error dialog with an 
IconServicesLib dependency.

I didn't check the 4.26.00 build on 8.1, but using sfraser's very handy Fragview 
tool on the Netscape-branded installer, it looks like Mac OS 8.5+ libraries 
remain not weak-linked.

** Imported library info 1 **
    Imported library name:	NavigationLib
    Library versions:		0 (oldImpVersion)	0 (currentVersion)
    Number of imported symbols:	5
    Index of first imported symbol:	1
    Import library should be initialized before client fragment
    Import library is not weak linked
 
   List of imported symbols:
Symbol 0:	NavLoad 
Symbol 1:	NavUnload 
Symbol 2:	NavGetDefaultDialogOptions 
Symbol 3:	NavChooseFolder 
Symbol 4:	NavDisposeReply 

** Imported library info 4 **
    Imported library name:	AppearanceLib
    Library versions:		0 (oldImpVersion)	0 (currentVersion)
    Number of imported symbols:	2
    Index of first imported symbol:	209
    Import library should be initialized before client fragment
    Import library is not weak linked
 
   List of imported symbols:
Symbol 0:	SetControlData 
Symbol 1:	IdleControls 


** Imported library info 5 **
    Imported library name:	IconServicesLib
    Library versions:		0 (oldImpVersion)	0 (currentVersion)
    Number of imported symbols:	3
    Index of first imported symbol:	211
    Import library should be initialized before client fragment
    Import library is not weak linked
 
   List of imported symbols:
Symbol 0:	ReleaseIconRef 
Symbol 1:	PlotIconRef 
Symbol 2:	GetIconRefFromFile 
Status: RESOLVED → REOPENED
Keywords: beta2
Resolution: FIXED → ---
(Assignee)

Comment 6

19 years ago
You are correct.  This was only done for the Mozilla debug target.  Oops.  Will 
check in fixed project file shortly.
Status: REOPENED → ASSIGNED
(Assignee)

Comment 7

19 years ago
Fix checked in (for all targets).
Status: ASSIGNED → RESOLVED
Last Resolved: 19 years ago19 years ago
Resolution: --- → FIXED
(Reporter)

Comment 8

19 years ago
I'll check this at home tonight on Mac OS 8.1.
(Reporter)

Comment 9

19 years ago
This looks fixed using Mac OS 8.1. 

However, I don't have a pre-Mac OS 8 system to test with (to check w/o 
Appearance), so I've left voice mail to hong & sdagley in Sustaining Engineering.

Worst-case, sdagley has the whole Mac OS library.
(Reporter)

Updated

19 years ago
Whiteboard: [May-04-2000] Tracking down a pre-Mac OS 8 system to test with
(Assignee)

Comment 10

19 years ago
I used the Mac OS 7.6 system in the lab to test this.  Eli, you pointed it out 
to me.  That should suffice.
(Reporter)

Comment 11

19 years ago
Verified fixed on 5.4.00 builds using both optimized Mozilla & Commercial builds 
on Mac OS 7.6.1.

The existing dialog would benefit from polishing, but that's covered by 38166.
Status: RESOLVED → VERIFIED
Product: Browser → Seamonkey
You need to log in before you can comment on or make changes to this bug.